;;; -*- Mode: Lisp; Package: WINAPI -*-
;;; virtual-keys.l --- Virtual Keys, Standard Set

;; Copyright (C) 2002 OHKUBO Hiroshi <konata_o@hotmail.com>

;; Author: OHKUBO Hiroshi <konata_o@hotmail.com>
;; Time-stamp: <2002/05/12 22:21:29 +0900>

;;; Code:

(provide "virtual-keys")

(eval-when (:compile-toplevel :load-toplevel :execute)
  (require "foreign")
  (require "wip/winapi"))

(in-package "winapi")

;; winuser.h
(c:*define VK_LBUTTON        #x01)
(c:*define VK_RBUTTON        #x02)
(c:*define VK_CANCEL         #x03)
(c:*define VK_MBUTTON        #x04)

(c:*define VK_BACK           #x08)
(c:*define VK_TAB            #x09)

(c:*define VK_CLEAR          #x0C)
(c:*define VK_RETURN         #x0D)

(c:*define VK_SHIFT          #x10)
(c:*define VK_CONTROL        #x11)
(c:*define VK_MENU           #x12)
(c:*define VK_PAUSE          #x13)
(c:*define VK_CAPITAL        #x14)

(c:*define VK_KANA           #x15)
(c:*define VK_HANGEUL        #x15)
(c:*define VK_HANGUL         #x15)
(c:*define VK_JUNJA          #x17)
(c:*define VK_FINAL          #x18)
(c:*define VK_HANJA          #x19)
(c:*define VK_KANJI          #x19)

(c:*define VK_ESCAPE         #x1B)

(c:*define VK_CONVERT        #x1C)
(c:*define VK_NONCONVERT     #x1D)
(c:*define VK_ACCEPT         #x1E)
(c:*define VK_MODECHANGE     #x1F)

(c:*define VK_SPACE          #x20)
(c:*define VK_PRIOR          #x21)
(c:*define VK_NEXT           #x22)
(c:*define VK_END            #x23)
(c:*define VK_HOME           #x24)
(c:*define VK_LEFT           #x25)
(c:*define VK_UP             #x26)
(c:*define VK_RIGHT          #x27)
(c:*define VK_DOWN           #x28)
(c:*define VK_SELECT         #x29)
(c:*define VK_PRINT          #x2A)
(c:*define VK_EXECUTE        #x2B)
(c:*define VK_SNAPSHOT       #x2C)
(c:*define VK_INSERT         #x2D)
(c:*define VK_DELETE         #x2E)
(c:*define VK_HELP           #x2F)

(c:*define VK_0              #x30) ; (char-code #\0)
(c:*define VK_1              #x31) ; (char-code #\1)
(c:*define VK_2              #x32) ; (char-code #\2)
(c:*define VK_3              #x33) ; (char-code #\3)
(c:*define VK_4              #x34) ; (char-code #\4)
(c:*define VK_5              #x35) ; (char-code #\5)
(c:*define VK_6              #x36) ; (char-code #\6)
(c:*define VK_7              #x37) ; (char-code #\7)
(c:*define VK_8              #x38) ; (char-code #\8)
(c:*define VK_9              #x39) ; (char-code #\9)

(c:*define VK_A              #x41) ; (char-code #\A)
(c:*define VK_B              #x42) ; (char-code #\B)
(c:*define VK_C              #x43) ; (char-code #\C)
(c:*define VK_D              #x44) ; (char-code #\D)
(c:*define VK_E              #x45) ; (char-code #\E)
(c:*define VK_F              #x46) ; (char-code #\F)
(c:*define VK_G              #x47) ; (char-code #\G)
(c:*define VK_H              #x48) ; (char-code #\H)
(c:*define VK_I              #x49) ; (char-code #\I)
(c:*define VK_J              #x4A) ; (char-code #\J)
(c:*define VK_K              #x4B) ; (char-code #\K)
(c:*define VK_L              #x4C) ; (char-code #\L)
(c:*define VK_M              #x4D) ; (char-code #\M)
(c:*define VK_N              #x4E) ; (char-code #\N)
(c:*define VK_O              #x4F) ; (char-code #\O)
(c:*define VK_P              #x50) ; (char-code #\P)
(c:*define VK_Q              #x51) ; (char-code #\Q)
(c:*define VK_R              #x52) ; (char-code #\R)
(c:*define VK_S              #x53) ; (char-code #\S)
(c:*define VK_T              #x54) ; (char-code #\T)
(c:*define VK_U              #x55) ; (char-code #\U)
(c:*define VK_V              #x56) ; (char-code #\V)
(c:*define VK_W              #x57) ; (char-code #\W)
(c:*define VK_X              #x58) ; (char-code #\X)
(c:*define VK_Y              #x59) ; (char-code #\Y)
(c:*define VK_Z              #x5A) ; (char-code #\Z)

(c:*define VK_LWIN           #x5B)
(c:*define VK_RWIN           #x5C)
(c:*define VK_APPS           #x5D)

(c:*define VK_NUMPAD0        #x60)
(c:*define VK_NUMPAD1        #x61)
(c:*define VK_NUMPAD2        #x62)
(c:*define VK_NUMPAD3        #x63)
(c:*define VK_NUMPAD4        #x64)
(c:*define VK_NUMPAD5        #x65)
(c:*define VK_NUMPAD6        #x66)
(c:*define VK_NUMPAD7        #x67)
(c:*define VK_NUMPAD8        #x68)
(c:*define VK_NUMPAD9        #x69)
(c:*define VK_MULTIPLY       #x6A)
(c:*define VK_ADD            #x6B)
(c:*define VK_SEPARATOR      #x6C)
(c:*define VK_SUBTRACT       #x6D)
(c:*define VK_DECIMAL        #x6E)
(c:*define VK_DIVIDE         #x6F)
(c:*define VK_F1             #x70)
(c:*define VK_F2             #x71)
(c:*define VK_F3             #x72)
(c:*define VK_F4             #x73)
(c:*define VK_F5             #x74)
(c:*define VK_F6             #x75)
(c:*define VK_F7             #x76)
(c:*define VK_F8             #x77)
(c:*define VK_F9             #x78)
(c:*define VK_F10            #x79)
(c:*define VK_F11            #x7A)
(c:*define VK_F12            #x7B)
(c:*define VK_F13            #x7C)
(c:*define VK_F14            #x7D)
(c:*define VK_F15            #x7E)
(c:*define VK_F16            #x7F)
(c:*define VK_F17            #x80)
(c:*define VK_F18            #x81)
(c:*define VK_F19            #x82)
(c:*define VK_F20            #x83)
(c:*define VK_F21            #x84)
(c:*define VK_F22            #x85)
(c:*define VK_F23            #x86)
(c:*define VK_F24            #x87)

(c:*define VK_NUMLOCK        #x90)
(c:*define VK_SCROLL         #x91)

(c:*define VK_LSHIFT         #xA0)
(c:*define VK_RSHIFT         #xA1)
(c:*define VK_LCONTROL       #xA2)
(c:*define VK_RCONTROL       #xA3)
(c:*define VK_LMENU          #xA4)
(c:*define VK_RMENU          #xA5)

(c:*define VK_PROCESSKEY     #xE5)

(c:*define VK_ATTN           #xF6)
(c:*define VK_CRSEL          #xF7)
(c:*define VK_EXSEL          #xF8)
(c:*define VK_EREOF          #xF9)
(c:*define VK_PLAY           #xFA)
(c:*define VK_ZOOM           #xFB)
(c:*define VK_NONAME         #xFC)
(c:*define VK_PA1            #xFD)
(c:*define VK_OEM_CLEAR      #xFE)

;;; virtual-keys.l ends here
